<?php

# i18n

$titletitle = __('Title', 'iperss');
$titletext = __('Arbitrary title for your widget.', 'iperss');

$usernametitle = __('User name', 'iperss');
$usernametext = __('Your ipernity user name. You can get it if you open your pictures overview in the browser, and click the RSS button. Now have a look at the address bar. There is a section %s. Where %s is your user name.', 'iperss');

$feedlanguagetitle = __('Desired feed language', 'iperss');
$feedlanguagetext = __('Defines in what language the header and the “no title” titles are shown.', 'iperss');

$numbertitle = __('No. of images', 'iperss');
$numbertext = __('What amount of images should be shown? Input a number Between 1 and 10. If a number lower than 1 or no number given, it defaults to 6. If a number greater than 10 given, it limits to 10.', 'iperss');

$datefmttitle = __('Date format', 'iperss');
$datefmttext = __('Defines what date format should be used for display. This uses the PHP funktion %s. Examples', 'iperss');
$datefmtlink = __('See %s for all possible values.', 'iperss');
$datefmtlinktext = __('date() documentation', 'iperss');

$sizetitle = __('Desired image size', 'iperss');
$sizetext = __('Defines what image size should be used for displaying the thumbnail images in widget.', 'iperss');

$customcsstitle = __('Apply custom CSS?', 'iperss');
$customcsslink = '<a href="options-general.php?page=iperss">'.__('set here', 'iperss').'</a>';
$customcsstext = __('Apply custom CSS definition %s, or do not apply them.', 'iperss');

$defaultcsstitle = __('Apply default CSS?', 'iperss');
$defaultcsstext = __('Apply default (shipped with this plugin) CSS definitions, or do not apply them.', 'iperss');


?>

<table class="form-table">
	<tr valign="top">
		<th scope="row"><strong><?php echo $titletitle; ?></strong></th>
		<td><?php echo $titletext; ?></td>
	</tr>
	<tr valign="top">
		<th scope="row">
			<strong><?php echo $usernametitle; ?></strong>
		</th>
		<td>
<?php
echo sprintf($usernametext,
	'<code>user_id=BLAH</code>',
	'<code>BLAH</code>');
?>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">
		<strong><?php echo $feedlanguagetitle; ?></strong>
		</th>
		<td><?php echo $feedlanguagetext; ?></td>
	</tr>
	<tr valign="top">
		<th scope="row">
			<strong><?php echo $numbertitle; ?></strong>
		</th>
		<td><?php echo $numbertext; ?></td>
	</tr>
	<tr valign="top">
		<th scope="row">
			<strong><?php echo $datefmttitle; ?></strong>
		</th>
		<td>
<?php
echo sprintf($datefmttext,
	'<code>date()</code>').'<br />';
function datefmtexample($fmt) {
	$becomes = __('%s becomes “%s”', 
		'iperss');
	echo sprintf($becomes,
		'<code>'.$fmt.'</code>',
		date($fmt)).'<br />';
}
datefmtexample('Y-m-d');
datefmtexample('H:i:s');
datefmtexample('F');
datefmtexample('D');
datefmtexample('l');
datefmtexample('H a');
$manurl = 'http://de2.php.net/manual/de/function.date.php';
echo sprintf($datefmtlink,'<a href="'.$manurl.'">'.$datefmtlinktext.'</a>');
?>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">
		<strong><?php echo $sizetitle; ?></strong>
		</th>
		<td><?php echo $sizetext; ?></td>
	</tr>
	<tr valign="top">
		<th scope="row">
			<strong><?php echo $customcsstitle ?></strong>
		</th>
		<td>
<?php
echo sprintf($customcsstext, $customcsslink);
?>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">
			<strong><?php echo $defaultcsstitle; ?></strong>
		</th>
		<td><?php echo $defaultcsstext; ?></td>
	</tr>
</table>
